/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { SeriesDescription } from "./SeriesDescription";
import { markType } from "./type";
/**
 * @hidden
 */
export let AnnotationLayerDescription = /*@__PURE__*/ (() => {
    class AnnotationLayerDescription extends SeriesDescription {
        get_type() {
            return "AnnotationLayer";
        }
        constructor() {
            super();
            this.eh = false;
            this.ei = false;
            this.ed = null;
            this.ef = false;
            this.e2 = null;
            this.ez = null;
            this.er = 0;
            this.eo = 0;
            this.e3 = null;
            this.e0 = null;
            this.e4 = null;
            this.e1 = null;
            this.eq = 0;
            this.en = 0;
            this.es = 0;
            this.ep = 0;
            this.d7 = null;
            this.d5 = null;
            this.d8 = null;
            this.d6 = null;
            this.eg = false;
        }
        get useIndex() {
            return this.eh;
        }
        set useIndex(a) {
            this.eh = a;
            this.g("UseIndex");
        }
        get useLegend() {
            return this.ei;
        }
        set useLegend(a) {
            this.ei = a;
            this.g("UseLegend");
        }
        get cursorPosition() {
            return this.ed;
        }
        set cursorPosition(a) {
            this.ed = a;
            this.g("CursorPosition");
        }
        get isDefaultCrosshairDisabled() {
            return this.ef;
        }
        set isDefaultCrosshairDisabled(a) {
            this.ef = a;
            this.g("IsDefaultCrosshairDisabled");
        }
        get appearanceMode() {
            return this.e2;
        }
        set appearanceMode(a) {
            this.e2 = a;
            this.g("AppearanceMode");
        }
        get actualAppearanceMode() {
            return this.ez;
        }
        set actualAppearanceMode(a) {
            this.ez = a;
            this.g("ActualAppearanceMode");
        }
        get shiftAmount() {
            return this.er;
        }
        set shiftAmount(a) {
            this.er = a;
            this.g("ShiftAmount");
        }
        get actualShiftAmount() {
            return this.eo;
        }
        set actualShiftAmount(a) {
            this.eo = a;
            this.g("ActualShiftAmount");
        }
        get horizontalAppearanceMode() {
            return this.e3;
        }
        set horizontalAppearanceMode(a) {
            this.e3 = a;
            this.g("HorizontalAppearanceMode");
        }
        get actualHorizontalAppearanceMode() {
            return this.e0;
        }
        set actualHorizontalAppearanceMode(a) {
            this.e0 = a;
            this.g("ActualHorizontalAppearanceMode");
        }
        get verticalAppearanceMode() {
            return this.e4;
        }
        set verticalAppearanceMode(a) {
            this.e4 = a;
            this.g("VerticalAppearanceMode");
        }
        get actualVerticalAppearanceMode() {
            return this.e1;
        }
        set actualVerticalAppearanceMode(a) {
            this.e1 = a;
            this.g("ActualVerticalAppearanceMode");
        }
        get horizontalShiftAmount() {
            return this.eq;
        }
        set horizontalShiftAmount(a) {
            this.eq = a;
            this.g("HorizontalShiftAmount");
        }
        get actualHorizontalShiftAmount() {
            return this.en;
        }
        set actualHorizontalShiftAmount(a) {
            this.en = a;
            this.g("ActualHorizontalShiftAmount");
        }
        get verticalShiftAmount() {
            return this.es;
        }
        set verticalShiftAmount(a) {
            this.es = a;
            this.g("VerticalShiftAmount");
        }
        get actualVerticalShiftAmount() {
            return this.ep;
        }
        set actualVerticalShiftAmount(a) {
            this.ep = a;
            this.g("ActualVerticalShiftAmount");
        }
        get horizontalDashArray() {
            return this.d7;
        }
        set horizontalDashArray(a) {
            this.d7 = a;
            this.g("HorizontalDashArray");
        }
        get actualHorizontalDashArray() {
            return this.d5;
        }
        set actualHorizontalDashArray(a) {
            this.d5 = a;
            this.g("ActualHorizontalDashArray");
        }
        get verticalDashArray() {
            return this.d8;
        }
        set verticalDashArray(a) {
            this.d8 = a;
            this.g("VerticalDashArray");
        }
        get actualVerticalDashArray() {
            return this.d6;
        }
        set actualVerticalDashArray(a) {
            this.d6 = a;
            this.g("ActualVerticalDashArray");
        }
        get shouldRenderAsOverlay() {
            return this.eg;
        }
        set shouldRenderAsOverlay(a) {
            this.eg = a;
            this.g("ShouldRenderAsOverlay");
        }
    }
    AnnotationLayerDescription.$t = /*@__PURE__*/ markType(AnnotationLayerDescription, 'AnnotationLayerDescription', SeriesDescription.$);
    return AnnotationLayerDescription;
})();
